SystemOrganization addCategory: #'PBE-Morphic'!

Morph subclass: #CrossMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PBE-Morphic'!

!CrossMorph methodsFor: 'geometry testing' stamp: 'PhilippeQuesne 3/9/2014 02:17'!
containsPoint: aPoint
^ (self horizontalBar containsPoint: aPoint)
or: [self verticalBar containsPoint: aPoint]! !

!CrossMorph methodsFor: 'drawing' stamp: 'PhilippeQuesne 3/9/2014 02:19'!
drawOn: aCanvas
| topAndBottom |
aCanvas fillRectangle: self horizontalBar color: self color.
topAndBottom := self verticalBar areasOutside: self horizontalBar.
topAndBottom do: [ :each | aCanvas fillRectangle: each color: self color]! !

!CrossMorph methodsFor: 'private' stamp: 'PhilippeQuesne 3/9/2014 02:21'!
horizontalBar
	| crossHeight |
	crossHeight := (self height / 3.0) rounded.
	^ self bounds insetBy: 0 @ crossHeight! !

!CrossMorph methodsFor: 'private' stamp: 'PhilippeQuesne 3/9/2014 02:22'!
verticalBar
	| crossWidth |
	crossWidth := (self width / 3.0) rounded.
	^ self bounds insetBy: crossWidth @ 0! !
